QGIS Application - Bug report #18692
Layer list problems with ordering layers
2018-04-10 04:19 PM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.18.17 Regression?: No
Operating System: Debian 9 Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 26580
Description

Generally there are two issues noted with the layer list in Qgis 2.18:

1. Drag and drop of items where the trigger delay or some other setting for drag and drop is excessive, results in unwanted dragging of
layers into different places in the layer list - this seems to be a particular problem with XFCE that doesn't affect, for example, KDE.

2. When using layer groups, closing a group, because of the movement of list items resulting from the collapse, can cause the group to
"bounce" to a new place on the list - often the bottom.

History

#1 - 2018-04-12 06:57 AM - Patrick Dunford

| tested with XFCE against KDE. Ultimately, there was no difference found between the two desktop environments, and changing drag and drop settings i
XFCE did not appear to have an impact on the drag/drop behaviour.

#2 - 2019-01-21 12:35 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Most plugins have been either migrated or incorporated into the core QGIS code base.
We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
